NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GroupBuilder Class Reference

Represents a NXOpen::GroupBuilder
To create a new instance of this class, use NXOpen::BasePart::CreateGatewayGroupBuilder
Default values. More...

Inheritance diagram for NXOpen::GroupBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Action {
  ActionNewGroup, ActionAddToGroup, ActionRemoveFromGroup, ActionUngroup,
  ActionEditGroup, ActionNewSketchGroup
}
 Represents the type of action for this builder to perform. More...
 
enum  SketchType { SketchTypeRegular, SketchTypeUnique, SketchTypeRigid }
 Represents the type of sketch group to be created. More...
 
enum  UngroupOption { UngroupOptionTop, UngroupOptionFull }
 Represents the option to control the behavior when deleting a group. More...
 

Public Member Functions

int ActionType ()
 Returns the action type for this builder to perform. More...
 
bool ActivegroupOption ()
 Returns the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch. More...
 
bool GroupDisplayProperties ()
 Returns the group display option
Created in NX7.5.0. More...
 
NXOpen::SelectGroupGroupInAction ()
 Returns the group in action
Created in NX5.0.0. More...
 
NXString GroupName ()
 Returns the group name
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListObjectsInGroup ()
 Returns the objects in group
Created in NX5.0.0. More...
 
NXOpen::NXObjectOwningObject ()
 Returns the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0. More...
 
void SetActionType (int actionType)
 Sets the action type for this builder to perform. More...
 
void SetActivegroupOption (bool activegroupOption)
 Sets the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch. More...
 
void SetGroupDisplayProperties (bool gdpOption)
 Sets the group display option
Created in NX7.5.0. More...
 
void SetGroupName (const NXString &groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetGroupName (const char *groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetOwningObject (NXOpen::NXObject *owningObject)
 Sets the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0. More...
 
void SetSketchGroupType (NXOpen::GroupBuilder::SketchType groupType)
 Sets the type of sketch group that gets created
Created in NX9.0.0. More...
 
void SetUngroupLevel (NXOpen::GroupBuilder::UngroupOption ungroupLevel)
 Sets the ungroup level
Created in NX5.0.0. More...
 
void SetUniqueMembershipOption (bool umgOption)
 Sets the unique membership option ie umg option
Created in NX5.0.0. More...
 
NXOpen::GroupBuilder::SketchType SketchGroupType ()
 Returns the type of sketch group that gets created
Created in NX9.0.0. More...
 
NXOpen::GroupBuilder::UngroupOption UngroupLevel ()
 Returns the ungroup level
Created in NX5.0.0. More...
 
bool UniqueMembershipOption ()
 Returns the unique membership option ie umg option
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GroupBuilder
To create a new instance of this class, use NXOpen::BasePart::CreateGatewayGroupBuilder
Default values.

Property Value

ActionType

0

GroupDisplayProperties

true


Created in NX5.0.0.

Member Enumeration Documentation

Represents the type of action for this builder to perform.

Enumerator
ActionNewGroup 

Create New group in Modeling or Drafting.

ActionAddToGroup 

Add members to existing group in Modeling.

ActionRemoveFromGroup 

Remove members of existing group in Modeling.

ActionUngroup 

Delete a group in Modeling or in Sketcher.

ActionEditGroup 

Edit a group in Modeling or in Sketcher.

ActionNewSketchGroup 

Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch.

Represents the type of sketch group to be created.

Enumerator
SketchTypeRegular 

Regular sketch group that can contain any sketch curve or dimension.

SketchTypeUnique 

A regular sketch group whose members cannot be members of any other sketch group.

SketchTypeRigid 

A sketch group which corresponds to a Rigid Sketch constraint.

Represents the option to control the behavior when deleting a group.

Enumerator
UngroupOptionTop 

Delete a group.

UngroupOptionFull 

Delete a group recursively.

Member Function Documentation

int NXOpen::GroupBuilder::ActionType ( )

Returns the action type for this builder to perform.

  • 0 signifies Create New group in Modeling or Drafting
  • 1 signifies Add members to existing group in Modeling
  • 2 signifies Remove members of existing group in Modeling
  • 3 signifies Delete a group in Modeling or in Sketcher
  • 4 signifies Edit a group in Modeling or in Sketcher
  • 5 signifies Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch


Created in NX5.0.0.

License requirements : None

bool NXOpen::GroupBuilder::ActivegroupOption ( )

Returns the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch.


Created in NX5.0.0.

License requirements : None

bool NXOpen::GroupBuilder::GroupDisplayProperties ( )

Returns the group display option
Created in NX7.5.0.



License requirements : None

NXOpen::SelectGroup* NXOpen::GroupBuilder::GroupInAction ( )

Returns the group in action
Created in NX5.0.0.



License requirements : None

NXString NXOpen::GroupBuilder::GroupName ( )

Returns the group name
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::GroupBuilder::ObjectsInGroup ( )

Returns the objects in group
Created in NX5.0.0.



License requirements : None

NXOpen::NXObject* NXOpen::GroupBuilder::OwningObject ( )

Returns the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0.



License requirements : None

void NXOpen::GroupBuilder::SetActionType ( int  actionType)

Sets the action type for this builder to perform.

  • 0 signifies Create New group in Modeling or Drafting
  • 1 signifies Add members to existing group in Modeling
  • 2 signifies Remove members of existing group in Modeling
  • 3 signifies Delete a group in Modeling or in Sketcher
  • 4 signifies Edit a group in Modeling or in Sketcher
  • 5 signifies Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch


Created in NX5.0.0.

License requirements : None

Parameters
actionTypeactiontype
void NXOpen::GroupBuilder::SetActivegroupOption ( bool  activegroupOption)

Sets the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch.


Created in NX5.0.0.

License requirements : None

Parameters
activegroupOptionactivegroupoption
void NXOpen::GroupBuilder::SetGroupDisplayProperties ( bool  gdpOption)

Sets the group display option
Created in NX7.5.0.



License requirements : None

Parameters
gdpOptiongdpoption
void NXOpen::GroupBuilder::SetGroupName ( const NXString groupName)

Sets the group name
Created in NX5.0.0.



License requirements : None

Parameters
groupNamegroupname
void NXOpen::GroupBuilder::SetGroupName ( const char *  groupName)

Sets the group name
Created in NX5.0.0.



License requirements : None

Parameters
groupNamegroupname
void NXOpen::GroupBuilder::SetOwningObject ( NXOpen::NXObject owningObject)

Sets the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0.



License requirements : None

Parameters
owningObjectowningobject
void NXOpen::GroupBuilder::SetSketchGroupType ( NXOpen::GroupBuilder::SketchType  groupType)

Sets the type of sketch group that gets created
Created in NX9.0.0.



License requirements : None

Parameters
groupTypegrouptype
void NXOpen::GroupBuilder::SetUngroupLevel ( NXOpen::GroupBuilder::UngroupOption  ungroupLevel)

Sets the ungroup level
Created in NX5.0.0.



License requirements : None

Parameters
ungroupLevelungrouplevel
void NXOpen::GroupBuilder::SetUniqueMembershipOption ( bool  umgOption)

Sets the unique membership option ie umg option
Created in NX5.0.0.



License requirements : None

Parameters
umgOptionumgoption
NXOpen::GroupBuilder::SketchType NXOpen::GroupBuilder::SketchGroupType ( )

Returns the type of sketch group that gets created
Created in NX9.0.0.



License requirements : None

NXOpen::GroupBuilder::UngroupOption NXOpen::GroupBuilder::UngroupLevel ( )

Returns the ungroup level
Created in NX5.0.0.



License requirements : None

bool NXOpen::GroupBuilder::UniqueMembershipOption ( )

Returns the unique membership option ie umg option
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.